Subject: bug#18135: bug#3735: shell-mode editing, movement, and command entry broken by prompt/output changes

From: Don Hopkins <[email-masked]>
Date: Sat, 4 Dec 2021 23:18:57 +0100

Thanks for looking into this! 

I can’t reproduce the problem through that recipe, but weird things still happen in other situations. 

Try putting “ -la” in the kill buffer and then yanking it instead of typing it at the end of the output of “echo ls”. 

It totally ignores the whole line, as if you entered an empty line.

But the thing that usually happens to me is that it enters the text that I yanked, but I’m not sure what the exact conditions to trigger it are. 

But at any rate, yanking “ -la” and hitting return should have the exact same behavior as typing “ -la” and hitting return, so it’s probably caused by the same underlying problem.

I’ll let you know if I figure out other test cases that get it to enter the text you yanked but not the text before that. It usually has something to do with yanking text, possibly at the end or also in the middle of the line.

-Don

> On Dec 4, 2021, at 22:15, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Chong Yidong <[email-masked]> writes:
> 
>> I was going through old emails and just saw this; sorry for the huge
>> delay in triaging this bug.
>> 
>> For what it's worth, I can't reproduce the original bug recipe on Emacs 25.2:
>> 
>> - At command prompt in shell mode ...
>> - Insert "echo ls".
>> - Type RET.
>> - (Emacs submits whole command line "echo ls".)
>> - (Shell gives output line "ls".)
>> - Go up to output line "ls" (C-p).
>> - Go to end of output line (C-e).
>> - Insert " -la".
>> - Type RET.
>> 
>> The original bug report says
>> 
>>     3.5 PROBLEM: Note that Emacs submits just " -la", instead of whole
>>         command line "ls -la" (as intended, expected, and in Emacs 20).
>> 
>> Instead, I see the output of ls -la.
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
> 
> I'm not able to reproduce this problem in Emacs 29, either.
> 
> Don, are there any additional steps needed to reproduce the problem
> (starting from "emacs -Q")?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no